PX_PUT_DATA_DOUBLE(3)

NAME
PX_put_data_double — Put value into a double data field

SYNOPSIS

#include <paradox.h>

void PX_put_data_double(pxdoc_t *pxdoc, char *data, int len, double value)

DESCRIPTION

Converts a double into a value for a data field as it stored in the database file. You should use this function instead of accessing the record data directly.

data points to the start of the data field in the record. It must be calculated by summing up all field length before the field to operate on and add it to the base pointer of the record.

SEE ALSO

PX_put_data_long(3), PX_put_data_short(3), PX_put_data_alpha(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.